package cc.smtweb.system.bpm.web.engine.dynPage;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.db.EntityDao;
import cc.smtweb.framework.core.db.cache.ModelTableCache;
import cc.smtweb.framework.core.db.impl.DefaultEntity;
import cc.smtweb.framework.core.db.vo.ModelCatalog;
import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.framework.core.exception.BizException;
import cc.smtweb.framework.core.mvc.service.AbstractTreeHandler;
import cc.smtweb.system.bpm.web.design.form.ModelForm;
import cc.smtweb.system.bpm.web.design.form.define.PageDataset;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Akmm at 2022/7/5 11:51
 * 动态页面树型服务
 */
public class DynPageTreeHandler extends AbstractTreeHandler<SwMap> {
    protected long pageId;
    //过滤条件
    private SwMap filter;
    //对应的数据集定义
    private PageDataset pageDataSet;

    public DynPageTreeHandler(long pageId, SwMap filter, PageDataset pageDataSet) {
        this.pageId = pageId;
        this.filter = filter;
        this.pageDataSet = pageDataSet;
    }

    @Override
    protected List<SwMap> filterData() {
        ModelTable table = ModelTableCache.getInstance().get(pageDataSet.masterTable);
        if (table == null) throw new BizException("未找到数据集表定义：" + pageDataSet.masterTable);
        EntityDao dao = DbEngine.getInstance().findDao(table.getName());

        String text = "%" + params.readString("text") + "%";
        List<SwMap> list = null;//dao.queryWhere(" mc_prj_id=? and (mc_name like ? or mc_code like ?) order by mc_name", prj_id, text, text);

        return list;
    }

    @Override
    protected List<SwMap> getChildren(long id) {
        return null;
    }

    @Override
    protected long getId(SwMap bean) {
        return 0;
    }

    @Override
    protected String getText(SwMap bean) {
        return null;
    }
}
